Xalan-Java: Class IntVector

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xpath.xml
Class IntVector

    java.lang.Object
      |
      +--org.apache.xalan.xpath.xml.IntVector

Direct Known Subclasses:
  IntStack

public class IntVector
extends java.lang.Object

**For internal use only** A very simple table that stores a list of int.

Field Summary
`int[]` | `m_map` **For internal use only**

Constructor Summary
`IntVector()` **For internal use only** Default constructor.
`IntVector(int blocksize)` **For internal use only** Construct a IntVector, using the given block size.

Method Summary
`void` | `addElement(int value)` **For internal use only** Append a int onto the vector.
`boolean` | `contains(int s)` **For internal use only** Tell if the table contains the given node.
`int` | `elementAt(int i)` **For internal use only** Get the nth element.
`int` | `indexOf(int elem)` **For internal use only** Searches for the first occurence of the given argument, beginning the search at index, and testing for equality using the equals method.
`int` | `indexOf(int elem, int index)` **For internal use only** Searches for the first occurence of the given argument, beginning the search at index, and testing for equality using the equals method.
`void` | `insertElementAt(int value, int at)` **For internal use only** Inserts the specified node in this vector at the specified index.
`int` | `lastIndexOf(int elem)` **For internal use only** Searches for the first occurence of the given argument, beginning the search at index, and testing for equality using the equals method.
`void` | `removeAllElements()` **For internal use only** Inserts the specified node in this vector at the specified index.
`boolean` | `removeElement(int s)` **For internal use only** Removes the first occurrence of the argument from this vector.
`void` | `removeElementAt(int i)` **For internal use only** Deletes the component at the specified index.
`void` | `setElementAt(int node, int index)` **For internal use only** Sets the component at the specified index of this vector to be the specified object.
`int` | `size()` **For internal use only** Get the length of the list.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_map

    public int[] m_map

Constructor Detail

### IntVector

    public IntVector()

  **For internal use only** Default constructor. Note that the default block size is very small, for small lists.

### IntVector

    public IntVector(int blocksize)

  **For internal use only** Construct a IntVector, using the given block size.

Method Detail

### size

    public final int size()

  **For internal use only** Get the length of the list.

### addElement

    public final void addElement(int value)

  **For internal use only** Append a int onto the vector.

### insertElementAt

    public final void insertElementAt(int value,
                                      int at)

  **For internal use only** Inserts the specified node in this vector at the specified index. Each component in this vector with an index greater or equal to the specified index is shifted upward to have an index one greater than the value it had previously.

### removeAllElements

    public final void removeAllElements()

  **For internal use only** Inserts the specified node in this vector at the specified index. Each component in this vector with an index greater or equal to the specified index is shifted upward to have an index one greater than the value it had previously.

### removeElement

    public final boolean removeElement(int s)

  **For internal use only** Removes the first occurrence of the argument from this vector. If the object is found in this vector, each component in the vector with an index greater or equal to the object's index is shifted downward to have an index one smaller than the value it had previously.

### removeElementAt

    public final void removeElementAt(int i)

  **For internal use only** Deletes the component at the specified index. Each component in this vector with an index greater or equal to the specified index is shifted downward to have an index one smaller than the value it had previously.

### setElementAt

    public final void setElementAt(int node,
                                   int index)

  **For internal use only** Sets the component at the specified index of this vector to be the specified object. The previous component at that position is discarded. The index must be a value greater than or equal to 0 and less than the current size of the vector.

### elementAt

    public final int elementAt(int i)

  **For internal use only** Get the nth element.

### contains

    public final boolean contains(int s)

  **For internal use only** Tell if the table contains the given node.

### indexOf

    public final int indexOf(int elem,
                             int index)

  **For internal use only** Searches for the first occurence of the given argument, beginning the search at index, and testing for equality using the equals method.
  Returns:
    the index of the first occurrence of the object argument in this vector at position index or later in the vector; returns -1 if the object is not found.

### indexOf

    public final int indexOf(int elem)

  **For internal use only** Searches for the first occurence of the given argument, beginning the search at index, and testing for equality using the equals method.
  Returns:
    the index of the first occurrence of the object argument in this vector at position index or later in the vector; returns -1 if the object is not found.

### lastIndexOf

    public final int lastIndexOf(int elem)

  **For internal use only** Searches for the first occurence of the given argument, beginning the search at index, and testing for equality using the equals method.
  Returns:
    the index of the first occurrence of the object argument in this vector at position index or later in the vector; returns -1 if the object is not found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.